API referenceEndpoints
Search schedules
Returns schedules matching optional line, itinerary, status and effective-date filters.
GET
/referential/v1/schedulesReturns schedules matching optional line, itinerary, status and effective-date filters.
Authorization
oauth2 AuthorizationBearer <token>
In: header
Query Parameters
lineId.value?string
itineraryId.value?string
status?string
Schedule lifecycle status; defaults to ACTIVE.
Default
nullValue in
- "DRAFT"
- "ACTIVE"
- "SUSPENDED"
effectiveOn?string
Keep only schedules whose effective range contains this date (ISO).
Format
dateDefault
nullsort?string
Result ordering.
Default
nullValue in
- "effectiveAsc"
- "effectiveDesc"
- "newest"
- "oldest"
page?integer
Zero-based page index.
Format
int32Range
0 <= valueDefault
nullsize?integer
Page size, at most 200.
Format
int32Range
0 <= value <= 200Default
nullResponse Body
*/*
curl -X GET "https://example.com/referential/v1/schedules"{ "data": [ { "id": "string", "itineraryId": "string", "operatingDays": [ "MONDAY" ], "dayCycle": { "anchorDate": "2019-08-24", "lengthDays": 0, "daysInCycle": [ 0 ] }, "effectiveFrom": "2019-08-24", "effectiveTo": "2019-08-24", "status": "string", "exceptions": [ { "id": "string", "timetableServiceDate": "2019-08-24", "kind": "CANCELLED", "reason": "string", "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "page": 0, "size": 0, "total": 0}